System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

The class is meant for use only within a designer.

Provides parsing at design time.

- Method
  System.Web.UI.Control `` To be added

  Parses and builds one control at design time.

  The built object.

  Information used in creating the parser. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Web.UI.Control[] `` To be added.

  Parses and builds one or more controls at design time.

  An array of built objects.

  Information used in creating the parser.
- Method
  System.Web.UI.ITemplate `` To be added

  Parses a template at design time.

  The from the parser that parsed the template.

  Information used in creating the parser. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Web.UI.ControlBuilder `` `` `` To be added.

  Parses a theme at design time.

  The from the parser that parsed the theme.

  Manages designer components. The content to parse. The path to the theme, which is used in creating the parser.